%define _buildid .8

Summary: Pluggable password quality-control module
Name: pam_passwdqc
Version: 1.0.5
Release: 6%{?_buildid}%{?dist}
# License of man page is BSD, rest is Copyright only
License: BSD and Copyright only
Group: System Environment/Base
URL: http://www.openwall.com/passwdqc/
Source0: ftp://ftp.openwall.com/pub/projects/pam/modules/%name/%name-%version.tar.gz
Source1: ftp://ftp.openwall.com/pub/projects/pam/modules/%name/%name-%version.tar.gz.sign
BuildRequires: pam-devel
BuildRoot: %{_tmppath}/%name-%version

Patch1: patch-219201.patch 

%description
pam_passwdqc is a simple password strength checking module for
PAM-aware password changing programs, such as passwd(1).  In addition
to checking regular passwords, it offers support for passphrases and
can provide randomly generated passwords.  All features are optional
and can be (re-)configured without rebuilding.

%prep
%setup -q

%patch1 -p1

%build
make CFLAGS="-Wall -fPIC -DHAVE_SHADOW -DLINUX_PAM $RPM_OPT_FLAGS" LDFLAGS_LINUX='--shared -Wl,--version-script,$(MAP)'

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} SECUREDIR=/%{_lib}/security

%files
%defattr(-,root,root)
%doc LICENSE README
/%{_lib}/security/pam_passwdqc.so
%{_mandir}/man*/*

%changelog
* Fri Jul 9 2010 22:31:20 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/pam_passwdqc-1.0.5-6.el6

* Fri Jul 9 2010 22:31:20 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/pam_passwdqc-1.0.5-5.el6

* Fri May 7 2010 02:17:44 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/pam_passwdqc-1.0.2-1.2.2

* Fri May 7 2010 00:15:46 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package pam_passwdqc
